Subject: Re: DSA with MV88E6321 and imx28

From: Andrew Lunn <[email-masked]>
Date: Tue, 11 Jun 2019 15:27:46 +0200

> I captured a ping from my device to my computer to look if outgoing is working
> (captured on both devices). Here is the output from my device where i started the:
> 
> 00:24:24.752057 ARP, Request who-has 192.168.10.2 tell 192.168.10.1, length 28
> 	0x0000:  0001 0800 0604 0001 6a2a ad79 def5 c0a8  ........j*.y....
> 	0x0010:  0a01 0000 0000 0000 c0a8 0a02            ............
> 
> and here the output of the receiver:
> 
> 14:49:06.725940 MEDSA 0.2:0: ARP, Request who-has benjamin-HP tell 192.168.10.1, length 42
> 	0x0000:  0000 4010 0000 0806 0001 0800 0604 0001  ..@.............
> 	0x0010:  6a2a ad79 def5 c0a8 0a01 0000 0000 0000  j*.y............
> 	0x0020:  c0a8 0a02 0000 0000 0000 0000 0000 0000  ................
> 	0x0030:  0000
> 
> I'm really stuck at the moment because I don't know what to do further. I think, 
> I did everything what is needed.
> And I know when I configure the switch manually via MDIO the connection is working.
> When I'm looking for traffic in ifconfig on all ports there is everywhere 0 bytes 
> except for eth0.
> Do you have any ideas?

I would start simple and build up. Don't use a bridge. Just put the IP
address 192.168.10.1 on the slave interface for port 2.

So something like:

ip link set eth0 up
ip addr add 192.168.10.1/24 dev lan2
ip link set lan2 up

then you can try ping 192.168.10.2.

Then trace the packet along the path. Does the ARP request make it to
192.168.10.2? Is a reply sent? ethtool -S lan2 will show you the
packet counts. Do the counters show the ARP going out and the reply
coming back?

       Andrew